Package org.apache.batchee.csv

## Class CommonsCsvReader

- java.lang.Object
- - org.apache.batchee.extras.transaction.CountedReader
  - - org.apache.batchee.csv.CommonsCsvReader

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemReader`

      public class CommonsCsvReader
      extends CountedReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.extras.transaction.CountedReader

      `items`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonsCsvReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `protected Object` | `doRead()` |
    `protected org.apache.commons.csv.CSVFormat` | `newFormat()` |
    `protected Reader` | `newReader()` |
    `void` | `open​(Serializable checkpoint)` |
    `void` | `readHeaders()` |
    `void` | `setAllowMissingColumnNames​(String allowMissingColumnNames)` |
    `void` | `setCommentMarker​(String commentMarker)` |
    `void` | `setDelimiter​(String delimiter)` |
    `void` | `setEncoding​(String encoding)` |
    `void` | `setEscapeCharacter​(String escapeCharacter)` |
    `void` | `setFormat​(String format)` |
    `void` | `setFormat​(org.apache.commons.csv.CSVFormat.Predefined predefined)` |
    `void` | `setHeader​(String header)` |
    `void` | `setHeaderComments​(String headerComments)` |
    `void` | `setIgnoreEmptyLines​(String ignoreEmptyLines)` |
    `void` | `setIgnoreSurroundingSpaces​(String ignoreSurroundingSpaces)` |
    `void` | `setInput​(String input)` |
    `void` | `setLocator​(String locator)` |
    `void` | `setMapper​(String mapper)` |
    `void` | `setMapping​(String mapping)` |
    `void` | `setNullString​(String nullString)` |
    `void` | `setQuoteCharacter​(String quoteCharacter)` |
    `void` | `setQuoteMode​(String quoteMode)` |
    `void` | `setReadHeaders​(String readHeaders)` |
    `void` | `setRecordSeparator​(String recordSeparator)` |
    `void` | `setSkipHeaderRecord​(String skipHeaderRecord)` |

    - ### Methods inherited from class org.apache.batchee.extras.transaction.CountedReader

      `checkpointInfo, incrementCount, incrementReaderCount, readItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonsCsvReader

          public CommonsCsvReader()

  - ### Method Detail

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemReader`
      Overrides:
        `open` in class `CountedReader`
      Throws:
        `Exception`

    - #### doRead

          protected Object doRead()
                           throws Exception

      Specified by:
        `doRead` in class `CountedReader`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`

    - #### newReader

          protected Reader newReader()

    - #### newFormat

          protected org.apache.commons.csv.CSVFormat newFormat()

    - #### setFormat

          public void setFormat​(String format)

    - #### setFormat

          public void setFormat​(org.apache.commons.csv.CSVFormat.Predefined predefined)

    - #### setInput

          public void setInput​(String input)

    - #### setEncoding

          public void setEncoding​(String encoding)

    - #### setMapper

          public void setMapper​(String mapper)

    - #### setMapping

          public void setMapping​(String mapping)

    - #### setLocator

          public void setLocator​(String locator)

    - #### setAllowMissingColumnNames

          public void setAllowMissingColumnNames​(String allowMissingColumnNames)

    - #### setDelimiter

          public void setDelimiter​(String delimiter)

    - #### setQuoteCharacter

          public void setQuoteCharacter​(String quoteCharacter)

    - #### setQuoteMode

          public void setQuoteMode​(String quoteMode)

    - #### setCommentMarker

          public void setCommentMarker​(String commentMarker)

    - #### setEscapeCharacter

          public void setEscapeCharacter​(String escapeCharacter)

    - #### setIgnoreSurroundingSpaces

          public void setIgnoreSurroundingSpaces​(String ignoreSurroundingSpaces)

    - #### setIgnoreEmptyLines

          public void setIgnoreEmptyLines​(String ignoreEmptyLines)

    - #### setRecordSeparator

          public void setRecordSeparator​(String recordSeparator)

    - #### setNullString

          public void setNullString​(String nullString)

    - #### setHeaderComments

          public void setHeaderComments​(String headerComments)

    - #### setHeader

          public void setHeader​(String header)

    - #### setSkipHeaderRecord

          public void setSkipHeaderRecord​(String skipHeaderRecord)

    - #### setReadHeaders

          public void setReadHeaders​(String readHeaders)

    - #### readHeaders

          public void readHeaders()